People
Create a person
Adds a person to a company. The company's first person, or one sent with is_main: true, becomes the main contact.
Authorization
AuthorizationheaderrequiredBearer token: API key (sk_…), OAuth access token (mcp_…) or mobile session (xk_…).
Module: CustomersScope:
crm.writePath parameters
idintegerrequiredCompany id.
Body application/json
namestringrequiredFull name.
titlestringoptionalJob title.
departmentstringoptionalDepartment.
emailstringoptionalE-mail.
phonestringoptionalPhone.
is_mainbooleanoptionalMake main contact.
notestringoptionalNote (250 characters).
Errors
| HTTP | error | Meaning |
|---|---|---|
400 | invalid | Missing or invalid field (`message` explains). |
404 | not_found | Record not found. |
Request
curl -X POST https://ornek.solk.app/api/v1/customers/31/contacts \
-H "Authorization: Bearer $SOLK_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"name": "Emre Yıldız",
"title": "Üretim Şefi",
"department": "Üretim",
"phone": "+90 532 555 11 22",
"email": "emre.yildiz@kuzeyplastik.com.tr"
}'const res = await fetch("https://ornek.solk.app/api/v1/customers/31/contacts", {
method: "POST",
headers: {
Authorization: `Bearer ${process.env.SOLK_API_KEY}`,
"Content-Type": "application/json",
},
body: JSON.stringify({
"name": "Emre Yıldız",
"title": "Üretim Şefi",
"department": "Üretim",
"phone": "+90 532 555 11 22",
"email": "emre.yildiz@kuzeyplastik.com.tr"
}),
});
const data = await res.json();import os, requests
r = requests.post(
"https://ornek.solk.app/api/v1/customers/31/contacts",
headers={"Authorization": f"Bearer {os.environ['SOLK_API_KEY']}"},
json={
"name": "Emre Yıldız",
"title": "Üretim Şefi",
"department": "Üretim",
"phone": "+90 532 555 11 22",
"email": "emre.yildiz@kuzeyplastik.com.tr"
},
)
print(r.json())Response
{
"contact": {
"customer": "Kuzey Plastik Sanayi",
"customer_id": 31,
"department": "Üretim",
"email": "emre.yildiz@kuzeyplastik.com.tr",
"id": 59,
"is_former": false,
"is_main": false,
"name": "Emre Yıldız",
"note": "",
"phone": "+90 532 555 11 22",
"rid": "0037CJrFvjDFvYX",
"title": "Üretim Şefi",
"wa": "905325551122"
},
"ok": true
}Example responses were captured from a v22 installation running sample data; lists are shortened to two items.